%define name adplug-xmms
%define version 1.1
%define release 7mdk

Summary: AdLib player plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://prdownloads.sourceforge.net/adplug/%{name}-%{version}.tar.bz2
URL: http://adplug.sourceforge.net/
License: LGPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: xmms
BuildRequires: libxmms-devel
BuildRequires: libadplug-devel >= 1.4 

%description
AdPlug/XMMS is an XMMS input plugin. XMMS is a cross-platform multimedia
player. AdPlug/XMMS uses the AdPlug AdLib sound player library to play back
a wide range of AdLib (OPL2) music file formats on top of an OPL2 emulator.
No OPL2 chip is required for playback.


%prep
%setup -q
aclocal
autoconf

%build
export CPPFLAGS="-I%_includedir/libbinio"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot/%_libdir/xmms/Input/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README ChangeLog NEWS TODO AUTHORS
%_libdir/xmms/Input/*so

%changelog
* Sun Sep 18 2005 Götz Waschk <waschk@mandriva.org> 1.1-7mdk
- adapt for new libbinio header location

* Sat May 14 2005 Gtz Waschk <waschk@mandriva.org> 1.1-6mdk
- rebuild for new adplug

* Wed May  4 2005 Gtz Waschk <waschk@mandriva.org> 1.1-5mdk
- fix build on x86_64

* Fri Oct  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1-4mdk
- rebuild

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.1-3mdk
- new g++
- fix buildrequires
- drop prefix

* Mon May  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1-2mdk
- new adplug

* Tue Mar 18 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.1-1mdk
- drop patch
- new version

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- rebuild

* Tue Nov 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- initial package
